from flask import current_app, g
import os


def get_users():
    if 'users' not in g:
        users = {}
        authfile = current_app.config['AUTHFILE']
        with current_app.open_resource(os.path.join(current_app.instance_path,
                                                    authfile)) as f:
            for entry in f:
                users.update({tuple(entry.split(b':', 1))})
            g.users = users
    return g.users
